GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::KeyPairDetailTab Class Reference
Inheritance diagram for GpgFrontend::UI::KeyPairDetailTab:
Collaboration diagram for GpgFrontend::UI::KeyPairDetailTab:

## Public Member Functions
| KeyPairDetailTab (const std::string &key_id, QWidget *parent=nullptr)
| Construct a new Key Pair Detail Tab object. More...

## Private Slots
void | slot_copy_fingerprint ()
void | slot_refresh_key_info ()
void | slot_refresh_key ()

## Private Attributes
GpgKey | key_
QGroupBox * | owner_box_
| Groupbox containing owner information.
QGroupBox * | key_box_
| Groupbox containing key information.
QGroupBox * | fingerprint_box_
| Groupbox containing fingerprint information.
QGroupBox * | additional_uid_box_
QLabel * | name_var_label_
| Label containing the keys name.
QLabel * | email_var_label_
| Label containing the keys email.
QLabel * | comment_var_label_
| Label containing the keys comment.
QLabel * | key_size_var_label_
| Label containing the keys key size.
QLabel * | expire_var_label_
| Label containing the keys expiration date.
QLabel * | created_var_label_
| Label containing the keys creation date.
QLabel * | last_update_var_label_
QLabel * | algorithm_var_label_
| Label containing the keys algorithm.
QLabel * | key_id_var_label
| Label containing the keys keyid.
QLabel * | fingerprint_var_label_
| Label containing the keys fingerprint.
QLabel * | usage_var_label_
QLabel * | actual_usage_var_label_
QLabel * | primary_key_exist_var_label_
QLabel * | icon_label_
QLabel * | exp_label_

## Constructor & Destructor Documentation

## ◆ KeyPairDetailTab()

GpgFrontend::UI::KeyPairDetailTab::KeyPairDetailTab | ( | const std::string & | key_id,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

Construct a new Key Pair Detail Tab object.

Parameters

  key_id |
  parent |

References additional_uid_box_, algorithm_var_label_, comment_var_label_, created_var_label_, email_var_label_, expire_var_label_, fingerprint_box_, fingerprint_var_label_, GpgFrontend::GpgKey::GetEmail(), GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::GpgKey::GetSubKeys(), GpgFrontend::GpgKey::IsHasMasterKey(), GpgFrontend::GpgKey::IsPrivateKey(), key_box_, key_id_var_label, key_size_var_label_, name_var_label_, owner_box_, and slot_copy_fingerprint().

## Member Function Documentation

## ◆ slot_copy_fingerprint

void GpgFrontend::UI::KeyPairDetailTab::slot_copy_fingerprint | ( |  | ) |
| private slot

Copy the fingerprint to clipboard

References fingerprint_var_label_.

Referenced by KeyPairDetailTab().

## Member Data Documentation

## ◆ additional_uid_box_

QGroupBox* GpgFrontend::UI::KeyPairDetailTab::additional_uid_box_
| private

Groupbox containing information about additional uids

Referenced by KeyPairDetailTab().

The documentation for this class was generated from the following files:

- src/ui/keypair_details/KeyPairDetailTab.h
- src/ui/keypair_details/KeyPairDetailTab.cpp